#include<bits/stdc++.h>
using namespace std;
char s[1048576];
int n;
int flag;
int main(){
	while(scanf("%s",s+1)!=EOF){
		n=strlen(s+1);
		flag=0;
		dfs(1,0);
		if(flag==0)
			puts("None");
		if(flag==1)
			puts("Unique");
		if(flag==2)
			puts("Many");
	}
